# $Revision: 1.29 $, $Date: 2006/02/20 21:04:12 $
Summary:	Small, simple HTTP daemon, supports SSL
Summary(pl):	May, prosty serwer HTTP ze wsparciem dla SSL
Name:		mini_httpd
Version:	1.19
Release:	4
License:	freely distributable
Group:		Networking/Daemons
Source0:	http://www.acme.com/software/mini_httpd/%{name}-%{version}.tar.gz
# Source0-md5:	792a529dfe974355aad8ba6c80e54e7a
Source1:	%{name}.init
Source2:	%{name}.config
URL:		http://www.acme.com/software/mini_httpd/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	htpasswd
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		httpdir		/home/services/httpd
%define		htmldir		%{httpdir}/html

%description
Simple and small HTTP daemon supporting SSL.

%description -l pl
Prosty i may serwer HTTP ze wsparciem dla SSL.

%package -n htpasswd-%{name}
Summary:	mini_httpd htpasswd utility
Summary(pl):	Narzdzie htpasswd z mini_httpd
Group:		Networking/Utilities
Provides:	htpasswd
Obsoletes:	htpasswd

%description -n htpasswd-%{name}
htpasswd is used to create and update the flat-files used to store
usernames and password for basic authentication of HTTP users. This
package contains htpasswd from mini_httpd; it supports only CRYPT
encryption algorithm.

%description -n htpasswd-%{name}
htpasswd suy do tworzenia i uaktualniania paskich plikw sucych
do przechowywania nazw uytkownikw i hase do uwierzytelnienia basic
uytkownikw HTTP. Ten pakiet zawiera htpasswd z mini_httpd; ta wersja
obsuguje wycznie hasa zaszyfrowane przez CRYPT.

%prep
%setup -q

%build
%{__make} \
	SSL_INCDIR=%{_includedir}/openssl \
	SSL_LIBDIR=%{_libdir} \
	SSL_DEFS=-DUSE_SSL \
	SSL_INC=-I%{_includedir}/openssl \
	SSL_LIBS='-lssl -lcrypto' \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	CFLAGS="-DUSE_SSL -I%{_includedir}/openssl %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,8}
install -d $RPM_BUILD_ROOT%{htmldir}
install -d $RPM_BUILD_ROOT/etc/sysconfig

install mini_httpd	$RPM_BUILD_ROOT%{_sbindir}
install htpasswd	$RPM_BUILD_ROOT%{_bindir}/htpasswd
ln -sf %{_bindir}/htpasswd $RPM_BUILD_ROOT%{_sbindir}
install htpasswd.1	$RPM_BUILD_ROOT%{_mandir}/man1/htpasswd.1
install *.8		$RPM_BUILD_ROOT%{_mandir}/man8

install index.html	$RPM_BUILD_ROOT%{htmldir}
install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

sed -e 's,@DOCROOT@,%{htmldir},' %{SOURCE2} > $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig %{name} reset
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/mini_httpd
%dir %{httpdir}
%dir %{htmldir}
%{htmldir}/index.html
%attr(754,root,root) /etc/rc.d/init.d/mini_httpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man8/*

%files -n htpasswd-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/htpasswd
%attr(755,root,root) %{_sbindir}/htpasswd
%{_mandir}/man1/htpasswd.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mini_httpd.spec,v $
Revision 1.29  2006/02/20 21:04:12  glen
- fixed scripts; rel 4, STBR

Revision 1.28  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.27  2005/03/21 19:49:30  darekr
- removed BR: sed

Revision 1.26  2005/03/04 21:12:53  qboosh
- -htpasswd: replaced usage with real desc; pl

Revision 1.25  2005/03/04 19:35:30  djrzulf
- glen is a genious, simplify obsoletes section at htpasswd,
- Rel +0.1,
- ALL STBR AC-TEST<

Revision 1.24  2005/03/04 14:30:45  djrzulf
- argh, obsoletes htpasswd-apache2 -> htpasswd-apache, thanks glen ;),

Revision 1.23  2005/03/04 10:29:16  djrzulf
- added obsoletes,
- htpasswd from mini_httpd moved to separate package, Rel 3,

Revision 1.22  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.21  2004/07/08 12:48:06  radek
- release 2: renamed mini-htpasswd to mini_httpasswd

Revision 1.20  2004/07/08 12:27:04  radek
- version 1.19
- added /etc/sysconfig/mini_httpd
- updated Source0 URL

Revision 1.19  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.18  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.17  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.16  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.15  2003/05/28 12:59:44  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.12  2002/12/07 14:33:27  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.11  2002/08/18 15:38:09  blues
- release 2 - one more license fix, new doc

Revision 1.10  2002/08/18 11:11:09  blues
- license fix

Revision 1.9  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/24 15:35:44  qboosh
- stop daemon and run chkconfig --del only on remove, not upgrade

Revision 1.6  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.2  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.1  2000/12/06 20:45:47  misiek
mini, v6 ready web server. spec unfinished

* Thu Jun 15 2000 <jef@acme.com> Version 1.14
- ver 1.14
